# Class RuntimeScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.util.RuntimeScriptException

All Implemented Interfaces:
  `Serializable`

public class RuntimeScriptException extends RuntimeException
Thrown by classes handling script engines like the javascript-based filters for SAM/VCF

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RuntimeScriptException()`
`RuntimeScriptException(String s)`
`RuntimeScriptException(String s, Throwable throwable)`
`RuntimeScriptException(Throwable throwable)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RuntimeScriptException

public RuntimeScriptException()

### RuntimeScriptException

public RuntimeScriptException(String s)

### RuntimeScriptException

public RuntimeScriptException(String s, Throwable throwable)

### RuntimeScriptException

public RuntimeScriptException(Throwable throwable)